The organization's enrolled creators
GET
/api/public/v1/campaign_affiliatesLiveAnswers from your brand's records now.
Operation id listCampaignAffiliates
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/campaign_affiliates" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| campaign_id | query | integer | |
| status | query | string | One of activepausedleftremovedcompletedarchivedpending Default active |
| pagination | query | boolean | Default false |
| page | query | integer | Default 1 |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| affiliates | array of object | |
| affiliates[].[].affiliate_age | integer | |
| affiliates[].[].affiliate_amount_earned | number | |
| affiliates[].[].affiliate_avatar_url | string, nullable | |
| affiliates[].[].affiliate_email | string (email) | |
| affiliates[].[].affiliate_gender | string, nullable | |
| affiliates[].[].affiliate_link | string | |
| affiliates[].[].affiliate_location | string, nullable | |
| affiliates[].[].affiliate_name | string | |
| affiliates[].[].affiliate_phone_number | string, nullable | |
| affiliates[].[].campaign_id | integer | |
| affiliates[].[].campaign_name | string | |
| affiliates[].[].connected_accounts | array of object | |
| affiliates[].[].connected_accounts[].[].platform | string | |
| affiliates[].[].connected_accounts[].[].profile_share_url | string | |
| affiliates[].[].connected_accounts[].[].username | string | |
| affiliates[].[].created_at | string | |
| affiliates[].[].discord_id | string, nullable | |
| affiliates[].[].id | integer | |
| affiliates[].[].order_count | integer | |
| affiliates[].[].revenue_generated | number | |
| affiliates[].[].status | string | One of activepausedleftremovedcompletedarchivedpending |
| affiliates[].[].tag | string | |
| affiliates[].[].unique_tag | string | |
| affiliates[].[].user_id | integer | |
| meta | object | |
| meta.current_page | integer | |
| meta.page_count | integer | |
| meta.row_count | integer |
Example
{
"affiliates": [
{
"affiliate_age": 3,
"affiliate_amount_earned": 125.5,
"affiliate_avatar_url": "https://example.com/p/1",
"affiliate_email": "creator@example.com",
"affiliate_gender": "string",
"affiliate_link": "https://example.com/p/1",
"affiliate_location": "string",
"affiliate_name": "Example name",
"affiliate_phone_number": "string",
"campaign_id": 1024,
"campaign_name": "Example name",
"connected_accounts": [
{
"platform": "string",
"profile_share_url": "https://example.com/p/1",
"username": "Example name"
}
],
"created_at": "2026-11-01T15:04:05Z",
"discord_id": "string",
"id": 1024,
"order_count": 3,
"revenue_generated": 0.15,
"status": "active",
"tag": "MAYA15",
"unique_tag": "string",
"user_id": 1024
}
],
"meta": {
"current_page": 1,
"page_count": 1,
"row_count": 3
}
}Errors: 401with an error and usually a message. See errors.
Example values are made up from each field's type and name.